%global        snapdate   20130209
%global        snaphash   4c461fe
%global        snapver    %{snapdate}.git%{snaphash}


Name:           trac-mastertickets-plugin
Version:        3.0.3
Release:        1.%{snapver}%{?dist}
Summary:        Add support for ticket dependencies to Trac

License:        BSD
URL:            http://trac-hacks.org/wiki/MasterTicketsPlugin
# Upstream doesn't publish release tarballs yet, so we make one:
#  $ git clone https://github.com/coderanger/trac-mastertickets.git && cd trac-mastertickets
#  $ git archive --format=tar --prefix=trac-mastertickets-plugin-3.0.3/ 4c461fe | xz -z > trac-mastertickets-plugin-3.0.3-20130209.git4c461fe.tar.xz
Source0:        %{name}-%{version}-%{snapver}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       trac >= 0.12.0
Requires:       graphviz

%description
This plugin adds "blocks" and "blocked by" fields to each ticket, enabling
you to express dependencies between tickets. It also provides a
graphviz-based dependency-graph feature for those tickets having
dependencies specified, allowing you to visually understand the
dependency tree. The dependency graph is viewable by clicking 'depgraph' in
the context (in the upper right corner) menu when viewing a ticket that
blocks or is blocked by another ticket.

%prep
%setup -q


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README COPYING
# For noarch packages: sitelib
%{python_sitelib}/*


%changelog
* Sat Feb 09 2013 Kevin Fenzi <kevin@scrye.com> 3.0.3-1.
- Update to 3.0.3 and new snapshot. Fixes bug #907591

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.2-4.20111215.git43a7537
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.2-3.20111215.git43a7537
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec 15 2011 Pierre-Yves Chibon <pingou@pingoured.fr> - 3.0.2-2.20111215.git43a7537
- Add BR python-setuptools

* Thu Dec 15 2011 Pierre-Yves Chibon <pingou@pingoured.fr> - 3.0.2-1.20111215.git43a7537
- Initial packaging
